-- IndustrialTest
-- Copyright (C) 2023 mrkubax10

-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.

-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.

-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.

local S=minetest.get_translator("industrialtest")

local definition={
	description=S("Machine Block"),
	tiles={"industrialtest_machine_block.png"},
}
if industrialtest.mtgAvailable then
	definition.sound=default.node_sound_metal_defaults()
	definition.groups={cracky=1,level=2}
elseif industrialtest.mclAvailable then
	definition.sound=mcl_sounds.node_sound_metal_defaults()
	definition._mcl_blast_resistance=6
	definition._mcl_hardness=5
end
minetest.register_node("industrialtest:machine_block",definition)
minetest.register_craft({
	type="shaped",
	output="industrialtest:machine_block",
	recipe={
		{"industrialtest:refined_iron_ingot","industrialtest:refined_iron_ingot","industrialtest:refined_iron_ingot"},
		{"industrialtest:refined_iron_ingot","","industrialtest:refined_iron_ingot"},
		{"industrialtest:refined_iron_ingot","industrialtest:refined_iron_ingot","industrialtest:refined_iron_ingot"}
	}
})

-- Node callbacks
minetest.register_on_placenode(function(pos,newNode)
	local def=minetest.registered_nodes[newNode.name]
	if def and def.groups and def.groups._industrialtest_hasPowerInput then
		industrialtest.api.triggerNeighbours(pos)
	end
end)
